Skip to main content
POST
/
{alias}
/
checkout
/
payments
/
{paymentId}
/
config
Criar configuração de pagamento
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "payment_id": 6,
  "affiliation_id": 3,
  "active": true,
  "default_display": false,
  "accumulate_discount": false,
  "ignore_promotions": false,
  "percent_discount": 0,
  "min_installment_value": 25,
  "max_installments_without_tax": 1,
  "billet_expire_days": 1
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config"

payload = {
"payment_id": 6,
"affiliation_id": 3,
"active": True,
"default_display": False,
"accumulate_discount": False,
"ignore_promotions": False,
"percent_discount": 0,
"min_installment_value": 25,
"max_installments_without_tax": 1,
"billet_expire_days": 1
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
payment_id: 6,
affiliation_id: 3,
active: true,
default_display: false,
accumulate_discount: false,
ignore_promotions: false,
percent_discount: 0,
min_installment_value: 25,
max_installments_without_tax: 1,
billet_expire_days: 1
})
};

fetch('https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "payment_id": 123,
  "affiliation_id": 123,
  "active": true,
  "default_display": true,
  "id": 123,
  "spread": true,
  "ignore_promotions": true,
  "accumulate_discount": true,
  "percent_discount": 123,
  "min_installment_value": 123,
  "max_installments_without_tax": 123,
  "billet_expire_days": 123,
  "days_to_cancel_unpaid_billets": 123,
  "hours_to_cancel_unpaid_pix": 123,
  "hours_to_expire_pix_code": 123,
  "billet_instructions": "<string>",
  "installments": {
    "data": [
      {
        "id": 1,
        "payment_id": 2,
        "installment": 1,
        "tax": 1.5,
        "percent_discount": 0,
        "start_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "end_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "created_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        },
        "updated_at": {
          "date": "2000-08-17 10:24:24",
          "timezone_type": 3,
          "timezone": "America/Sao_Paulo"
        }
      }
    ]
  },
  "affiliation": {
    "data": {
      "id": 123,
      "active": true,
      "backup": true,
      "name": "Cielo Affiliation",
      "statement_descriptor": "<string>",
      "auto_capture": true,
      "has_payment_config": false,
      "capture_hour_delay": 123,
      "force_minimum_tax": true,
      "status": "<string>",
      "auth_type": "<string>",
      "gateway": {
        "data": [
          {
            "alias": "billet",
            "name": "Boleto Bancário",
            "icon_url": "<string>",
            "allow_backup": true,
            "allow_edit_pix_code_expiration_time": true,
            "installments_config": {
              "allow_custom_installments": true,
              "message": "<string>",
              "help_link": "<string>"
            },
            "auth_type": "Boleto Bancário",
            "gateway_exists": true,
            "params": {
              "data": [
                [
                  "env",
                  "merchant_id",
                  "key"
                ]
              ]
            }
          }
        ]
      }
    }
  },
  "payment": {
    "data": {
      "id": 123,
      "alias": "<string>",
      "name": "<string>",
      "has_config": true,
      "active_config": true,
      "is_credit_card": true,
      "is_deposit": true,
      "is_billet": true,
      "is_pix": true,
      "is_pix_in_installments": true,
      "is_wallet": true,
      "icon_url": "<string>"
    }
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

paymentId
integer
required

ID da forma de pagamento

Body

application/json
payment_id
integer
required
Example:

6

affiliation_id
integer
required
Example:

3

active
boolean
required
Example:

true

default_display
boolean
required
Example:

false

accumulate_discount
boolean
Example:

false

ignore_promotions
boolean
Example:

false

percent_discount
number<float>
Example:

0

min_installment_value
number<float>
Example:

25

max_installments_without_tax
integer
Example:

1

billet_expire_days
integer
Example:

1

Response

Configuração de pagamento criada com sucesso

payment_id
integer
required
affiliation_id
integer
required
active
boolean
required
default_display
boolean
required
id
integer
spread
boolean
ignore_promotions
boolean
accumulate_discount
boolean
percent_discount
number<float>
min_installment_value
number<float>
max_installments_without_tax
integer
billet_expire_days
integer
days_to_cancel_unpaid_billets
integer
hours_to_cancel_unpaid_pix
integer
hours_to_expire_pix_code
number
billet_instructions
string
installments
object
affiliation
object
payment
object
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only